module RmPlugin
  #
  # Plugins for the removal of accounts.
  #

  def RmPlugin.included(c)
    # Callback, called whenever another class or module includes this
    # one. The parameter given is the name of the class or module
    # that included us.
    @includers ||= []
    @includers << c
  end

  def RmPlugin.includers
    return @includers
  end

  def delete_domain(domain)
    # Delete the given domain.
    raise NotImplementedError
  end

  def delete_account(account)
    # Delete the given account.
    raise NotImplementedError
  end

  def get_domain_usernames(domain)
    # Get a list of usernames for a given domain,
    # needed to delete accounts before removing
    # a domain.
    raise NotImplementedError
  end

end
